%define momorel 2
Summary:	Free Arabic TrueType fonts
Name:		truetype-fonts-arabic
Version:	1.1
Release:	%{momorel}m
License:	GPL
Group:		User Interface/X

Source0:	http://www.linux.org.sa/download/KacstArabicFonts-%{version}.tar.bz2
# from http://www.arbornet.org/~tabish/u-font/
Source1:	nastaliq_unicode.ttf.bz2
Source2:	arabic.fonts.scale

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildPrereq:    XFree86-font-utils
# And be sure there is TTF support
PreReq:		chkfontpath, sh-utils

%description
This Package provides Free Arabic TrueType fonts.

%prep

%setup -q -c

%build
bzcat %{SOURCE1} > nastaliq_unicode.ttf

%install
rm -fr %{buildroot}
%define instancedir /usr/share/fonts/truetype/arabic
%define xfontdir /usr/X11R6/lib/X11/fonts/truetype-arabic

mkdir -p %{buildroot}/%{instancedir}
mkdir -p %{buildroot}/%{xfontdir}
install -m 644 *.ttf %{buildroot}/%{instancedir}
for i in *.ttf
do
  ln -sf %{instancedir}/$i %{buildroot}%{xfontdir}/$i
done

install -m644 %{SOURCE2} %{buildroot}/%{xfontdir}/fonts.scale

/usr/X11R6/bin/mkfontdir -e /usr/X11R6/lib/X11/fonts/encodings \
                         -e /usr/X11R6/lib/X11/fonts/encodings/large \
			                          %{buildroot}%{xfontdir}
%post
if [ -x %{_sbindir}/chkfontpath ]; then
   %{_sbindir}/chkfontpath -q -a %{xfontdir}
   if ! (grep /usr/X11R6/lib/X11/fonts/truetype-arabic /etc/X11/XftConfig >& /dev/null) ; then
     echo dir \"/usr/X11R6/lib/X11/fonts/truetype-arabic\" >> /etc/X11/XftConfig
   fi
fi

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   if [ -x %{_sbindir}/chkfontpath ]; then
     %{_sbindir}/chkfontpath -q -r %{xfontdir}
     grep -v /usr/X11R6/lib/X11/fonts/truetype-arabic /etc/X11/XftConfig >/etc/X11/XftConfig.new
     mv /etc/X11/XftConfig.new /etc/X11/XftConfig
   fi
fi

%clean
rm -fr %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc *txt
%dir %{instancedir}
%dir %{xfontdir}
%{instancedir}/*.ttf
%{xfontdir}/*.ttf
%config(noreplace) %{xfontdir}/fonts.dir
%config(noreplace) %{xfontdir}/fonts.scale
%config(noreplace) %{xfontdir}/encodings.dir


%changelog
* Sun Jun 13 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1-2m)
- add source

* Fri Sep 19 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (1.1-1m)
- import from Mandrake Linux

* Wed Aug 06 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.1-3mdk
- added Urdu Nastaliq GPL font (covering Urdu and Farsi)

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.1-2mdk
- rebuild
- prereq on chkfontpath

* Wed Feb 19 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.1-1mdk
- first release
